API Reference
Delete Short URL
Permanently deletes a short URL. This action cannot be undone. The slug will become available for reuse after deletion.
Header Parameters
Request Body
application/json
Short URL identification
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X DELETE "https://example.com/api/v1/shorten" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{ "domain": "string", "slug": "string" }'{ "code": 0, "message": "string", "data": { "code": 0, "data": { "tags": [ { "id": 0, "name": "string" } ] }, "message": "string" }}Update Short URL PUT
Updates the destination URL and/or title of an existing short URL. The domain and slug identify which link to update.
Get Available Domains for Short URLs GET
Returns a list of all domains available for creating short URLs with your account. Use these domain values when calling the Create Short URL endpoint.